net.minecraft.client.particle

## Class EntityPortalFX

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.client.particle.EntityFX
    - - net.minecraft.client.particle.EntityPortalFX

-     public class EntityPortalFX
      extends EntityFX

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.particle.EntityFX

      `interpPosX, interpPosY, interpPosZ`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityPortalFX(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBrightness(float par1)` Gets how bright this entity is.
    `int` | `getBrightnessForRender(float par1)`
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `renderParticle(Tessellator par1Tessellator, float par2, float par3, float par4, float par5, float par6, float par7)`

    - ### Methods inherited from class net.minecraft.client.particle.EntityFX

      `canAttackWithItem, func_94052_a, func_94053_h, getBlueColorF, getFXLayer, getGreenColorF, getRedColorF, multipleParticleScaleBy, multiplyVelocity, readEntityFromNBT, setAlphaF, setParticleTextureIndex, setRBGColorF, toString, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityPortalFX

          public EntityPortalFX(World par1World,
                        double par2,
                        double par4,
                        double par6,
                        double par8,
                        double par10,
                        double par12)

  - ### Method Detail

    - #### renderParticle

          public void renderParticle(Tessellator par1Tessellator,
                            float par2,
                            float par3,
                            float par4,
                            float par5,
                            float par6,
                            float par7)

      Overrides:
        `renderParticle` in class `EntityFX`

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

      Overrides:
        `getBrightnessForRender` in class `Entity`

    - #### getBrightness

          public float getBrightness(float par1)

      Gets how bright this entity is.
      Overrides:
        `getBrightness` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityFX`